#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    qApp->setStyleSheet("QGroupBox {\
                        border: 1px solid gray;\
                        border-radius: 9px;\
                        margin-top: 0.5em;\
                    }\
                    \
                    QGroupBox::title {\
                        subcontrol-origin: margin;\
                        left: 10px;\
                        padding: 0 3px 0 3px;\
                    }\ ");
     layout()->setContentsMargins(0,0,0,0);
     connect(this->ui->actionQuit,SIGNAL(triggered()),this,SLOT(close()));
     connect(this->ui->actionOpen,SIGNAL(triggered()),this->ui->binFileWdgt,SLOT(openFile()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

